## WebKitDOMValidityState

WebKitDOMValidityState

## Functions

gboolean | webkit_dom_validity_state_get_value_missing ()
gboolean | webkit_dom_validity_state_get_type_mismatch ()
gboolean | webkit_dom_validity_state_get_pattern_mismatch ()
gboolean | webkit_dom_validity_state_get_too_long ()
gboolean | webkit_dom_validity_state_get_range_underflow ()
gboolean | webkit_dom_validity_state_get_range_overflow ()
gboolean | webkit_dom_validity_state_get_step_mismatch ()
gboolean | webkit_dom_validity_state_get_bad_input ()
gboolean | webkit_dom_validity_state_get_custom_error ()
gboolean | webkit_dom_validity_state_get_valid ()

## Properties

gboolean | bad-input | Read
gboolean | custom-error | Read
gboolean | pattern-mismatch | Read
gboolean | range-overflow | Read
gboolean | range-underflow | Read
gboolean | step-mismatch | Read
gboolean | too-long | Read
gboolean | type-mismatch | Read
gboolean | valid | Read
gboolean | value-missing | Read

## Types and Values

| WebKitDOMValidityState

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMValidityState

## Description

## Functions

### webkit_dom_validity_state_get_value_missing ()

    gboolean
    webkit_dom_validity_state_get_value_missing
                                   (WebKitDOMValidityState *self);

#### Parameters

self | A WebKitDOMValidityState |

#### Returns

A gboolean

### webkit_dom_validity_state_get_type_mismatch ()

    gboolean
    webkit_dom_validity_state_get_type_mismatch
                                   (WebKitDOMValidityState *self);

#### Parameters

self | A WebKitDOMValidityState |

#### Returns

A gboolean

### webkit_dom_validity_state_get_pattern_mismatch ()

    gboolean
    webkit_dom_validity_state_get_pattern_mismatch
                                   (WebKitDOMValidityState *self);

#### Parameters

self | A WebKitDOMValidityState |

#### Returns

A gboolean

### webkit_dom_validity_state_get_too_long ()

    gboolean
    webkit_dom_validity_state_get_too_long
                                   (WebKitDOMValidityState *self);

#### Parameters

self | A WebKitDOMValidityState |

#### Returns

A gboolean

### webkit_dom_validity_state_get_range_underflow ()

    gboolean
    webkit_dom_validity_state_get_range_underflow
                                   (WebKitDOMValidityState *self);

#### Parameters

self | A WebKitDOMValidityState |

#### Returns

A gboolean

### webkit_dom_validity_state_get_range_overflow ()

    gboolean
    webkit_dom_validity_state_get_range_overflow
                                   (WebKitDOMValidityState *self);

#### Parameters

self | A WebKitDOMValidityState |

#### Returns

A gboolean

### webkit_dom_validity_state_get_step_mismatch ()

    gboolean
    webkit_dom_validity_state_get_step_mismatch
                                   (WebKitDOMValidityState *self);

#### Parameters

self | A WebKitDOMValidityState |

#### Returns

A gboolean

### webkit_dom_validity_state_get_bad_input ()

    gboolean
    webkit_dom_validity_state_get_bad_input
                                   (WebKitDOMValidityState *self);

#### Parameters

self | A WebKitDOMValidityState |

#### Returns

A gboolean

### webkit_dom_validity_state_get_custom_error ()

    gboolean
    webkit_dom_validity_state_get_custom_error
                                   (WebKitDOMValidityState *self);

#### Parameters

self | A WebKitDOMValidityState |

#### Returns

A gboolean

### webkit_dom_validity_state_get_valid ()

    gboolean
    webkit_dom_validity_state_get_valid (WebKitDOMValidityState *self);

#### Parameters

self | A WebKitDOMValidityState |

#### Returns

A gboolean

## Types and Values

### WebKitDOMValidityState

    typedef struct _WebKitDOMValidityState WebKitDOMValidityState;

## Property Details

### The `“bad-input”` property

      “bad-input”                gboolean

read-only gboolean ValidityState:bad-input.

Flags: Read

Default value: FALSE

### The `“custom-error”` property

      “custom-error”             gboolean

read-only gboolean ValidityState:custom-error.

Flags: Read

Default value: FALSE

### The `“pattern-mismatch”` property

      “pattern-mismatch”         gboolean

read-only gboolean ValidityState:pattern-mismatch.

Flags: Read

Default value: FALSE

### The `“range-overflow”` property

      “range-overflow”           gboolean

read-only gboolean ValidityState:range-overflow.

Flags: Read

Default value: FALSE

### The `“range-underflow”` property

      “range-underflow”          gboolean

read-only gboolean ValidityState:range-underflow.

Flags: Read

Default value: FALSE

### The `“step-mismatch”` property

      “step-mismatch”            gboolean

read-only gboolean ValidityState:step-mismatch.

Flags: Read

Default value: FALSE

### The `“too-long”` property

      “too-long”                 gboolean

read-only gboolean ValidityState:too-long.

Flags: Read

Default value: FALSE

### The `“type-mismatch”` property

      “type-mismatch”            gboolean

read-only gboolean ValidityState:type-mismatch.

Flags: Read

Default value: FALSE

### The `“valid”` property

      “valid”                    gboolean

read-only gboolean ValidityState:valid.

Flags: Read

Default value: FALSE

### The `“value-missing”` property

      “value-missing”            gboolean

read-only gboolean ValidityState:value-missing.

Flags: Read

Default value: FALSE